main, header, section, footer, aside, nav, article, figure /* varmistaa näiden toiminnan vanhemmissa selaimissa */
{
display: block;
} 

a:link { color: blue }
a:visited { color: black }
a:active { color: red }

body {
color: black;
background-color: #c0c0c0;
text-align:"center";
 }

nav {
width:auto;
clear:none;
text-align:center;
margin-top: 1em;
margin-bottom: 1em;
margin-left:auto;
margin-right:auto;
}

nav span {
color: #888888;
background-color: #c0c0c0;
padding: 6px;
padding-left: 20px;
padding-right: 20px;
margin: 4px; 2px;
border: 1px dotted #a0a0a0;
}

nav a {
text-decoration:none;
background-color:#c0c0c0;
padding: 6px;
padding-left: 20px;
padding-right: 20px;
margin: 4px; 2px;
border: 1px solid #a0a0a0;
}

nav a:hover {
color: white;
background-color: green;
}

figure {
float:none;
border: 0px solid #0000ff;
text-align:center;
margin-left:auto;
margin-right:auto;
margin-bottom: 1em;
margin-top: 1em;
padding: 0px;
}

figure img {
display: inline;
margin: 0px;
border: 8px solid #f0f0f0;
}

figcaption {
clear:none;
text-align:center;
margin-top: 4px;
margin-bottom: 4px;
margin-left:auto;
margin-right:auto;
}

.sarja {
width:180px;
height:168px;
display: inline-block;
float: left;
text-align:center;
vertical-align:center;
margin:0px;
padding-top: 0.1em;
padding-bottom: 0.1em;
border: 0px solid #f0f0f0;
}

.sarja img {
border: 4px solid #f0f0f0;
}

.sarja figcaption {
display: block;
clear: none;
font-size: 90%;
text-align:center;
margin-top: 4px;
margin-bottom: 8px;
margin-left:auto;
margin-right:auto;
}

.sarja a:hover img {
padding: 0px;
border: 4px solid green;
}

section {
display: table;
width:auto;
height:auto;
text-align: center;
margin-left:auto;
margin-right:auto;
padding: 0px;
border: 0px solid green;
}

p {
clear:both;
text-align:center;
margin-left:auto;
margin-right:auto;
}

div {
clear:none;
margin: 0px;
padding: 0px;
}

footer {
clear:both;
font-size: smaller;
text-align:center;
margin-top: 12px;
margin-bottom: 4px;
margin-left:auto;
margin-right:auto;
}

